Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.filter
Class Not

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.filter.Not

All Implemented Interfaces:
  Filter, Operation, Serializable

    public class Not

extends BaseOperation
implements Filter

Class Not is a `Filter` class that will logically 'not' (negation) the results of the constructor provided Filter instance.

Logically, if `Filter.isRemove(cascading.flow.FlowProcess, cascading.operation.FilterCall)` returns `true` for the given instance, this filter will return the opposite, `false`.

See Also:
  `And`, `Xor`, `Not`, Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`Not(Filter filter)` Constructor Not creates a new Not instance.

Method Summary
`void` | `cleanup(FlowProcess flowProcess, OperationCall operationCall)` Method cleanup does nothing, and may safely be overridden.
`boolean` | `equals(Object object)`
`Filter` | `getFilter()`
`int` | `hashCode()`
`boolean` | `isRemove(FlowProcess flowProcess, FilterCall filterCall)` Method isRemove returns true if input should be removed from the tuple stream.
`void` | `prepare(FlowProcess flowProcess, OperationCall operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.BaseOperation
`flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### Not

    @ConstructorProperties(value="filter")
    public Not(Filter filter)

  Constructor Not creates a new Not instance.

  Parameters:
    `filter` - of type Filter

Method Detail

### getFilter

    public Filter getFilter()

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation`
  Overrides:
    `prepare` in class `BaseOperation`

### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                            FilterCall filterCall)

  Description copied from interface: `Filter`
  Method isRemove returns true if input should be removed from the tuple stream.

  Specified by:
    `isRemove` in interface `Filter`
  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

### cleanup

    public void cleanup(FlowProcess flowProcess,
                        OperationCall operationCall)

  Description copied from class: `BaseOperation`
  Method cleanup does nothing, and may safely be overridden.

  Specified by:
    `cleanup` in interface `Operation`
  Overrides:
    `cleanup` in class `BaseOperation`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.